portainer: how to update to latest version

  • Greetings,


    I figure I can help others beginners like me that want to update Portainer to the latest version

    If a new version exits, when logging into portainer you will have a message notifying you about it.

    Keep reading to update portainer using the GUI and takes seconds.


    Problem:

    I dont know how to update portainer within my OMV 5 (on raspberry pi 4b ) without compromising any container.

    Solution:

    Go to

    - System -> OMV-Extras

    - Click Portainer and Install.
    Yes, install over installed version will pull the latest version and you will keep you containers as before.
    Just did it and worked out perfectly.


    ...

  • Handy little tidbit. Not obvious to all since it manages containers for Docker, yet is itself a Docker. This should become a mini how-to, and be included in future updates to the Portainer section of the OMV5 “Getting Started” doc.

    Simple and sure backup and restore: In a Scheduled Job: rsync -av --delete /srv/dev-disk-by-label-SOURCE/ /srv/dev-disk-by-label-DESTINATION/ (HT: Getting Started with OMV5)
    OMV Version: Ver. 5 (current) - Hardware: NanoPi M4, Nextcloud, Plex, Airsonic, Booksonic, Calibre, & Heimdall - Acer Aspire T180, backup - Odroid XU4, Pi-Hole (DietPi) - Testing/Playing: hc2, xu4, Pi 3B+, Odroid H2, and HP dx2400, Debian 10 XFCE.

  • Hi,


    I have omv-extras 5.4 installed but I still cannot update Portainer from 1.24.1 to 2.0.0.


    In OMV, in Plugins I checked which version of OMV-Extra is installed. It reads "5.4".


    In OMV | OMV-Extras | Docker, I clicked on Portainer | Install. Output:

    Then, I'm reconnecting to the Portainer web ui. It still reads 1.24.1 "An new version is available"


    I don't understand why the version no. of OMV-Extras reads 2.4 in OMV | Plugins but in the output it reads

    Code
    extras :: 5.2.6

    What am I doing wrong?


    Thanks, Markus

  • clear your browser cache, uninstall, clear browser cache, install.


    test it, must work.

  • extras :: 5.2.6

    You don't have 5.4 installed. You have 5.2.6 installed as the output shows. The plugin list just shows the version you can install. Go to the Updates tab and install the update. If you don't see, try the apt clean button in omv-extras. Then go back to the Updates tab.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • You don't have 5.4 installed. You have 5.2.6 installed as the output shows. The plugin list just shows the version you can install.

    Thanks, but I do not quite follow you.


    I cannot install 5.4 as the install button is greyed-out. only the uninstall button is visible:


    I went to OMV | OMV-Extras | Settings and to the Updates tab and tried 1) update , and 2) apt clean and then update. After 1) and 2) I then went to OMV | OMV-Extras | Settings. On the Portainer tab I clicked on install with no effect. I get the same output that 5.2.6 is installed.


    M

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!